%define sname k9copy
%define name kde4-%sname
%define bname K9copy
%define version 2.0.0
%define release %mkrel 1
%define distsuffix plf

Name: %{name}
Version: %{version}
Release: %{release}
Summary: K9copy is a Video DVD backup tool 
License: GPL
URL: http://k9copy.sourceforge.net/
Group: Video
Source: http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{sname}-%{version}-Source.tar.gz
Patch0: kde4-k9copy-1.9.8-fix-k3b-launch.patch
Patch1: kde4-k9copy-plf-2.0.0-fix-k3b-launch.patch
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: task-kde4-devel
BuildRequires: libdvdread-devel
BuildRequires: hal-devel
BuildRequires: libdbus-qt-1-devel
BuildRequires: ffmpeg-devel
BuildRequires: libxine-devel

#dvd9 to dvd5
Requires: vamps
Requires: dvdauthor
Requires: mjpegtools
#default burning tools
Requires: dvd+rw-tools
#optional for preview
Suggests: mplayer
Suggests: xine-ui
#mpeg4 encoding
Suggests: mencoder
Suggests: toolame
Suggests: twolame
#optional burning with k3b
Suggests: kde4-k3b

%if %mdkversion >= 200900
Conflicts: k9copy < 1.2.3-2plf
%endif

%description
k9copy is using various external programs like vamps and mencoder to 
make backups of Video DVDs onto an other DVD or MPEG4 files.

This version of k9copy is for use with the KDE 4 environment.

This package is in PLF, as DVD ripping might break local laws.

%prep
%setup -q -n %{sname}-%{version}-Source

%if %mdkversion < 200900
%patch0 -p0
%else
%patch1 -p0
#fix path to ffpmeg headers
perl -pi -e "s|ffmpeg/avc|libavcodec/avc|" CMakeLists.txt lib/import/k9avidecode.cpp
perl -pi -e "s|ffmpeg/avf|libavformat/avf|" lib/import/k9avidecode.h
%endif

%build
%{cmake_kde4} ..
%make

%install
rm -rf %{buildroot}
cd build
%{makeinstall_std}

mkdir -p %{buildroot}%{_datadir}/applications/
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Qt" \
  --add-category="Video" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --remove-key="MimeTypes" \
%if %mdkversion < 200900
  --dir %{buildroot}/opt/kde4/share/applications/kde4/ %{buildroot}/opt/kde4/share/applications/kde4/*
%else
  --dir %{buildroot}%{_datadir}/applications/kde4/ %{buildroot}%{_datadir}/applications/kde4/*
%endif


%clean
rm -rf %{buildroot}

%files -f build/install_manifest.txt
%defattr(-,root,root)
%doc README

%changelog
* Fri Jun  6 2008 Guillaume Bedot <littletux@zarb.org> 2.0.0-1plf2009.0
- 2.0.0
- fixed path to ffmpeg headers and desktop file for cooker/2009.0
- conflicts with old kde3's k9copy

* Mon Feb  4 2008 Guillaume Bedot <littletux@zarb.org> 1.9.8-1plf2008.1
- First PLF package
